classification
Title: SSLContext.check_hostname description is inaccurate wrt match_hostname
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, scop
Priority: normal Keywords: patch

Created on 2020-02-12 12:37 by scop, last changed 2021-03-27 14:42 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 18484 merged scop, 2020-02-12 12:39
PR 25036 merged miss-islington, 2021-03-27 14:20
PR 25037 merged miss-islington, 2021-03-27 14:20
Messages (4)
msg361892 - (view) Author: Ville Skyttä (scop) * Date: 2020-02-12 12:37
Doc says "Whether to match the peer cert’s hostname with match_hostname() in SSLSocket.do_handshake()." but match_hostname() is no longer used to do that in the first place, OpenSSL is used for that. check_hostname affects the OpenSSL usage, too.
msg389602 - (view) Author: miss-islington (miss-islington) Date: 2021-03-27 14:20
New changeset 9798cef92b882cd82a338d3368eaf3c4a32f5c2d by Ville Skyttä in branch 'master':
bpo-39616: clarify SSLContext.check_hostname effect (GH-18484)
https://github.com/python/cpython/commit/9798cef92b882cd82a338d3368eaf3c4a32f5c2d
msg389603 - (view) Author: miss-islington (miss-islington) Date: 2021-03-27 14:30
New changeset 9de6451558c38537b2335d6e04e3bf8743c30576 by Miss Islington (bot) in branch '3.8':
bpo-39616: clarify SSLContext.check_hostname effect (GH-18484)
https://github.com/python/cpython/commit/9de6451558c38537b2335d6e04e3bf8743c30576
msg389604 - (view) Author: miss-islington (miss-islington) Date: 2021-03-27 14:42
New changeset c84e769c2b4108e1218e09652cb3bce34c541f8a by Miss Islington (bot) in branch '3.9':
bpo-39616: clarify SSLContext.check_hostname effect (GH-18484)
https://github.com/python/cpython/commit/c84e769c2b4108e1218e09652cb3bce34c541f8a
History
Date User Action Args
2021-03-27 14:42:54miss-islingtonsetmessages: + msg389604
2021-03-27 14:30:05miss-islingtonsetmessages: + msg389603
2021-03-27 14:20:33miss-islingtonsetpull_requests: + pull_request23785
2021-03-27 14:20:24miss-islingtonsetpull_requests: + pull_request23784
2021-03-27 14:20:17miss-islingtonsetnosy: + miss-islington
messages: + msg389602
2021-03-26 19:42:39iritkatrielsetversions: + Python 3.8, Python 3.9, Python 3.10
2020-02-12 12:39:13scopsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17857
2020-02-12 12:37:07scopcreate